#ifndef __SOUND_H
#define __SOUND_H

#define PAN(x) (((x)*256)/SCREEN_W) // for stereo effects

DATAFILE* musics;
DATAFILE* sounds;

int sound_init();
void sound_sample_play(int wav, int vol, int pan, int loop);
void sound_midi_play(int music, int loop);
void sound_midi_stop();
void sound_destroy();
#endif
